#!/bin/csh

# Set colors
set     red = "\033[1;31m"
set   green = "\033[0;32m"
set  yellow = "\033[1;33m"
set    blue = "\033[1;34m"
set magenta = "\033[1;35m"
set    cyan = "\033[1;36m"
set   white = "\033[0;37m"
set     end = "\033[0m"

# Display menu
echo
echo "**************************************************"
echo "*                  SOUECE MENU                   *"
echo "**************************************************"
echo "*              ----- Cadence  -----              *"
echo "*\t${red}1${end}) Incisive Enterprise Simulator         *"
echo "*\t${red}2${end}) Innovus Implementation System         *"
echo "*\t${red}3${end}) JasperGold                            *"
echo "*                                                *"
echo "*              ----- Mentor   -----              *"
echo "*\t${red}4${end}) ModelSim                              *"
echo "*                                                *"
echo "*              ----- Synopsys -----              *"
echo "*\t${red}5${end}) Design Compiler                       *"
echo "*\t${red}6${end}) IC Compiler                           *"
echo "*\t${red}7${end}) PrimeTime-PX                          *"
echo "*\t${red}8${end}) Verdi Automated Debug System          *"
echo "*                                                *"
echo "*              ----- RISCV    -----              *"
echo "*\t${red}9${end}) riscv-tools                           *"
echo "*                                                *"
echo "*              ----- Others   -----              *"
echo "*\t${red}a${end}) Source ALL                            *"
echo "**************************************************"

# Set variable `sel and get input
echo -n "Enter the tools code: "
set sel = $<

# Set variable for checking is sourced or not
set isSourced = 0

# Source tools
if ("$sel" =~ *"a"*) then
	# A statement variable means already sourced or not
	set isSourced = 1
	# Cadence
	source /usr/cad/cadence/CIC/incisiv.cshrc
	source /usr/cad/cadence/CIC/innovus.cshrc
	source /usr/cad/cadence/CIC/jasper.cshrc
	# Mentor
	source /usr/cad/mentor/CIC/modelsim.cshrc
	# Synopsys
	source /usr/cad/synopsys/CIC/synthesis.cshrc
	source /usr/cad/synopsys/CIC/icc.cshrc
	source /usr/cad/synopsys/CIC/primetime.cshrc
	source /usr/cad/synopsys/CIC/verdi.cshrc
	# riscv-tools
	set PATH = "/usr/cad/RISCV/bin:$PATH"
endif
if ("$sel" =~ *"1"*) then
	set isSourced = 1
	source /usr/cad/cadence/CIC/incisiv.cshrc
endif
if ("$sel" =~ *"2"*) then
	set isSourced = 1
	source /usr/cad/cadence/CIC/innovus.cshrc
endif
if ("$sel" =~ *"3"*) then
	set isSourced = 1
	source /usr/cad/cadence/CIC/jasper.cshrc
endif
if ("$sel" =~ *"4"*) then
	set isSourced = 1
	source /usr/cad/mentor/CIC/modelsim.cshrc
endif
if ("$sel" =~ *"5"*) then
	set isSourced = 1
	source /usr/cad/synopsys/CIC/synthesis.cshrc
endif
if ("$sel" =~ *"6"*) then
	set isSourced = 1
	source /usr/cad/synopsys/CIC/icc.cshrc
endif
if ("$sel" =~ *"7"*) then
	set isSourced = 1
	source /usr/cad/synopsys/CIC/primetime.cshrc
endif
if ("$sel" =~ *"8"*) then
	set isSourced = 1
	source /usr/cad/synopsys/CIC/verdi.cshrc
endif
if ("$sel" =~ *"9"*) then
	set isSourced = 1
	setenv PATH "/usr/cad/RISCV/bin:$PATH"
endif

# Check is sourced or not
if ("$isSourced" != "1") then
	echo "${red}CAN NOT MATCH ANY TOOL CODE FROM [$sel]${end}"
endif

# Unset variable `sel
unset     sel
# Unset colors
unset     red
unset   green
unset  yellow
unset    blue
unset magenta
unset    cyan
unset   white
unset     end

echo
